Loading...
Searching...
No Matches
state.hpp File Reference

Provides the state wrapper class for the Lua C state. More...

`#include <memory>`
`#include <string>`
Include dependency graph for state.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | lutok::state
| A RAII model for the Lua state. More...

## Typedefs

typedef int(* | lutok::cxx_function) (state &)
| The type of a C++ function that can be bound into Lua.

## Variables

const int | lutok::registry_index = LUA_REGISTRYINDEX
| Stack index constant pointing to the registry table.

## Detailed Description

Provides the state wrapper class for the Lua C state.

## Typedef Documentation

## cxx_function

typedef int(* lutok::cxx_function) (state &)

The type of a C++ function that can be bound into Lua.

Functions of this type are free to raise exceptions. These will not propagate into the Lua C API. However, any such exceptions will be reported as a Lua error and their type will be lost.